@openwop/spec-artifacts 2.21.0 → 2.23.0

This diff represents the content of publicly available package versions that have been released to one of the supported registries. The information contained in this diff is provided for informational purposes only and reflects changes between package versions as they appear in their respective public registries.
package/CORPUS-STAMP.json CHANGED
@@ -1,17 +1,17 @@
1
1
  {
2
2
  "_comment": "Provenance of @openwop/spec-artifacts (RFC 0168 §D.2). files: SHA-256 per file; the conformance suite compares the installed peer against dist/spec-artifacts.lock.json at start.",
3
3
  "package": "@openwop/spec-artifacts",
4
- "version": "2.21.0",
5
- "corpusTag": "v2.21.0",
4
+ "version": "2.23.0",
5
+ "corpusTag": "v2.23.0",
6
6
  "files": {
7
7
  "api/.redocly.lint-ignore.yaml": "bf5a8350b88a72fa43f59605ed8d903ed24b6cfccda5e45509c9f6ed9ee4e712",
8
8
  "api/asyncapi.yaml": "d5ecb9ee6114582be3b1f662c84bfac9ae96dae7bacb853e461168f70a8e1c7d",
9
9
  "api/grpc/openwop.proto": "c3e72bb17cba514ee98feb6434e6c9b6ea6795bfd086489ec69fd882dd1ad977",
10
10
  "api/openapi.yaml": "39081c59fb696159806b0f2f9a42e7e9ff830d622fcf2ad4159b21357580a955",
11
11
  "api/redocly.yaml": "b0604c89b2ca6d5076ec25725c539dad44a741a811fe524439ee6daef8baa09f",
12
- "api/seams-v2.yaml": "dadb3a8246d1ce14a59327883bd9818c371c94426fd3677d9969570f53c15edf",
13
- "api/v2/asyncapi.yaml": "04a2a3a1c3e7950cad5191cefcdf6dac4743057ae73cf552af38c269cb028952",
14
- "api/v2/openapi.yaml": "c69dcb0485ce9df673d00908176e4a47cbcc8d1c7a3331e9b253ca237aa4fa60",
12
+ "api/seams-v2.yaml": "3d800d8f6845460af75a6f96db40a3b1419c9b7471e671e2bc44090871a02d68",
13
+ "api/v2/asyncapi.yaml": "f37bbe960632be29c8a86f0678fe39c16640a99bf91d767c02ce4a093c7004db",
14
+ "api/v2/openapi.yaml": "f2168eb8552cd21a0aaab004da4257578601867e73755e99de20ad9b771d9a72",
15
15
  "api/v2/redocly.yaml": "1e66b60e6118ad11a823bb620678be464d99dfe50a40e3e6f93ec9429b88b34c",
16
16
  "schemas/README.md": "0c0b737ffcf8f30e7d2809cec8a498232de710f41443212922ad8337cdde0b51",
17
17
  "schemas/a2a-task-state.schema.json": "c9365918f993f943b4b619d42551eb066a1ed33a08d895d51b395432a5b1f1bc",
@@ -201,13 +201,13 @@
201
201
  "schemas/workspace-file.schema.json": "464de85c2a068243084ee9c1d969bc7cd5d8f7948574e58450d6493c38a0e1e4",
202
202
  "spec/v1/alias-detectors.json": "40069d5976eeb6ba1384a648e57e5cfd673db3fce36175115fb8293bee9664d4",
203
203
  "spec/v1/capability-declaration-classes.json": "e7729aed5c4b4e1dd02abab0530f14cc95f5d4070fe51fb139e7f5cccefa00c6",
204
- "spec/v1/core-standard-manifest.json": "d96d88f94b05df30f9c8829505d4706dba8fff7e3d11a4791744f7acd2b61fc0",
204
+ "spec/v1/core-standard-manifest.json": "4b924e0e83fb85b9a4ec9400b34239bca6826a3bd2aad0ff44eaf1e7aa23e6e5",
205
205
  "spec/v1/deprecations.json": "307083ce29c23fd406015951f99a30d78d6187ff061d38dc9732f62191b40f3f",
206
206
  "spec/v1/deprecations.schema.json": "18c87e78bedc210431f795ae44c5b5d202f2f3317850d5cf86867d4f1fa1cdfb",
207
207
  "spec/v1/event-codemap.json": "3da60d884157793a360da532a9fcbbfb5285636db325a74cec94b34622186d97",
208
208
  "spec/v1/event-codemap.schema.json": "d05933b2e88103aff51a2f774df97b9bda065e0fc88dbd9b114cc47a32189174",
209
209
  "spec/v1/extensions.json": "79a60754aa16cbdbdb604f8e5c00038af535a1690a4d07bd5ff7c38f0256a7bc",
210
- "spec/v1/gaps.json": "2a659a2949031a2b4740f0874ec1fbbfd82c677d6abf315bf5c6e4c1834f00b6",
210
+ "spec/v1/gaps.json": "f0a99073fac443dade386fb06a9fbe888d24861babde4908551ad96f9cb6596f",
211
211
  "spec/v1/gaps.schema.json": "8fd83259f556553c9df0f53e7a82ca8c2a4771d471197f69b4e2ae0ceeacfd66",
212
212
  "spec/v1/migrations.json": "8839497d6a4830b53fa7867014a8336f0d725ef2346352e54fb580b7947897af",
213
213
  "spec/v1/migrations.schema.json": "886779aa6c22e646db097f5df210adb018a4dd14a7b815465a18c8a7056c8f72",
@@ -217,10 +217,12 @@
217
217
  "spec/v2/core/capabilities.md": "b3977e799d1d16c6ef9b306d5f07341f52259c19171c02c273a7e8a7a4b34473",
218
218
  "spec/v2/core/conformance.md": "a451c0a2ba79d93c55e540ccef480eba7de9602d59bbb03eead05daafde0beac",
219
219
  "spec/v2/core/connection-packs.md": "466bdb9dde79d85615ad8281dacfb7bf923ca22d7fb3ed219749e59574c753ed",
220
+ "spec/v2/core/conversation.md": "e425887c4ba199b8cdc5c99e792689f7bd7d46de492f28670de2e402fa6d9506",
220
221
  "spec/v2/core/errors.md": "6b6a1480ed889013172d8ce8c6985e321d2f4f73e1d9fae0bac9b961d0dd1a8c",
221
- "spec/v2/core/events.md": "2fbf98662a72035afd7a3f811c30d4fe5f0ac823488a2cc9198a61cf6d27a049",
222
+ "spec/v2/core/events.md": "6fa2b5c43f096636d6d14e4a811aff396b51e9d56743fec21b750f6a224bbb62",
222
223
  "spec/v2/core/form-content-packs.md": "af3517dd7125106088249c0e32220b0b9fc3e9304c10378a6327cc8ad84b6bf1",
223
224
  "spec/v2/core/headers.md": "14cdf4ae9ee7d80eebfd426d7c3552e577baea0300915cd4bb3a68e8588195a8",
225
+ "spec/v2/core/host-services.md": "3753f1e034d325bb4bd5751ae6d321fbb16700d4e28032ab4e273d25eb134fc4",
224
226
  "spec/v2/core/idempotency.md": "e4edae1834101fd331379d84de77eaa9cead49383529c31f8bcd18322f67c965",
225
227
  "spec/v2/core/identity.md": "e44f34f7c2db1f12babb19ca8ee1e5b1401a89f38fd5c90d0c4b74c95f6e5d42",
226
228
  "spec/v2/core/interop.md": "6bd581556b9ab1a1509c01b9a1ec2bcb9e4a8300e68fb01570704417e70f20b9",
@@ -228,13 +230,13 @@
228
230
  "spec/v2/core/overview.md": "7dc00ace32d4e4ce929a383651f0029fc4b7091ec87487b1bf26ead1be209e0e",
229
231
  "spec/v2/core/packs.md": "cc06de2d49dd08410eececd5c279996ec839680553b332b4f33d6b31989b5757",
230
232
  "spec/v2/core/persistence.md": "9e241f84259e38848f4a2ad1c21debb0dffd5f8aafbad26408aa6cc8969bf93b",
231
- "spec/v2/core/replay.md": "10cc01bf9e4e921fcfac740f3174b2e95cda7ba9a1e13e85cf371c8c2d0fa46a",
233
+ "spec/v2/core/replay.md": "b980a66e2543107240e3dc4f58131b9f4ff52478737e79ade6d5777b26ad1119",
232
234
  "spec/v2/core/runs.md": "136319842bacbbb300178980e4b83444917d5b193cc5fdd92e39a4902ba8d3c0",
233
235
  "spec/v2/core/security-defaults.md": "2a54ceaa4cef02c26ee0fbcf44f822ceeea79537c7d5a51ed300f21aa4fea576",
234
236
  "spec/v2/core/versioning.md": "27b88cde88f9060567ef7e46f4897b6be8892ade9f4a46c2ab16e314c515eabd",
235
237
  "spec/v2/core/webhooks.md": "46c1311c1897236f9bf9db5025c8af31dd84cd19208da3e5e9ff69eec9436965",
236
238
  "spec/v2/core/workflow-chain-packs.md": "df78b76dd79f2267fb6b72c08e0911e5f9d5bb1925c6efdd6deda62fe8a51dc8",
237
- "spec/v2/declaration.json": "a7607376ecf493e9533861fccc69b4a7d0c9df427689d045e2747f5f0ba0da54",
239
+ "spec/v2/declaration.json": "ac333c957815380fe263bf22c58cf3a0a896ef29c2bb5a995f3aad670ecf83f7",
238
240
  "spec/v2/declaration.schema.json": "c86e3083fb9789c1958ecb4576cc6f71aa90e6f339521139238543ed08211dd4",
239
241
  "spec/v2/errors.json": "aac91b12f954cc90574d310070ae3c651b131055d4389d2c6155242763765195",
240
242
  "spec/v2/event-codemap.json": "37869a03cdfd8758b57e6f350641a6ebbd383231cebda51f5473ad85f94ab74c",
@@ -274,8 +276,8 @@
274
276
  "spec/v2/path-manifest.json": "c123c9fd77dc1b3f9c2e9346ace80cdae007e6511138894956abda01e61ec1c6",
275
277
  "spec/v2/peer-dependency-aliases.json": "d10299280abee08258502925bc327293ee413e0108cd6e6ec75ff6110653308d",
276
278
  "spec/v2/profiles.json": "0636f19fceae625390003a347e70ef4797d84766b5c24ce8a02cea52aadebca4",
277
- "spec/v2/release.json": "68c7aa62eabbe783cc8c2e466659dd6fbe8d9beb41224c58d4cc948c79fd200b",
279
+ "spec/v2/release.json": "bdc9e689a96e66a06be04c38674d23a98d7947ca1fa93439f052a9268a3ab193",
278
280
  "spec/v2/retention-floors.json": "eaf3722d95c79947af1d4269ef85117e126518c588cfcf1a2b21b97269f51624"
279
281
  },
280
- "corpusCommit": "d5c4ad17826358a4a1ee1f290d86e61af5dc3fd5"
282
+ "corpusCommit": "be9c4d375782d69004e55b14bd5fe3b6550d8c72"
281
283
  }
package/api/seams-v2.yaml CHANGED
@@ -1,7 +1,7 @@
1
1
  openapi: 3.1.0
2
2
  info:
3
3
  title: OpenWOP conformance seams profile (openwop-conformance-seams-v2)
4
- version: 2.21.0
4
+ version: 2.23.0
5
5
  description: 'GENERATED by scripts/derive-v2-api.py. RFC 0168 §C: the seams are a versioned conformance profile with their
6
6
  own document and path space (/conformance/seams/…), validated against the canonical v2 schemas with no tolerance path,
7
7
  forbidden from the capability namespace (a host advertises the profile, never a testSeams flag). This document carries
@@ -1,7 +1,7 @@
1
1
  asyncapi: 3.1.0
2
2
  info:
3
3
  title: OpenWOP v2 event streams
4
- version: 2.21.0
4
+ version: 2.23.0
5
5
  description: GENERATED by scripts/derive-v2-api.py (RFC 0171 §E.1, RFC 0172 §C.2). One run-events channel whose address
6
6
  is the OpenAPI path key; the server pathname is empty (bare origin). streamMode is a pattern over the closed set and its
7
7
  comma-separated combinations (`values` never combines). hostEvents has a real address (RFC 0171 §E.1) — the documented
@@ -1,7 +1,7 @@
1
1
  openapi: 3.1.0
2
2
  info:
3
3
  title: OpenWOP v2 API
4
- version: 2.21.0
4
+ version: 2.23.0
5
5
  summary: REST surface for declaring, executing, suspending, resuming, and observing multi-step workflows.
6
6
  description: GENERATED by scripts/derive-v2-api.py from api/openapi.yaml and the RFC 0167 children (v2 charter Phase 3,
7
7
  P3-C). Bare origin, unversioned path keys, negotiation by `OpenWOP-Version` + `protocolVersions[]` (RFC 0172 §A). No seam
package/package.json CHANGED
@@ -1,6 +1,6 @@
1
1
  {
2
2
  "name": "@openwop/spec-artifacts",
3
- "version": "2.21.0",
3
+ "version": "2.23.0",
4
4
  "description": "The OpenWOP machine-readable contract: api/ (OpenAPI, AsyncAPI, the seams profile), schemas/ (v1 and v2 JSON Schemas), the spec/v1 and spec/v2 registries (errors, event codemap, declaration, deprecations, migrations, gaps) and CORPUS-STAMP.json — published from the openwop/openwop corpus tag; the peer dependency @openwop/openwop-conformance digest-checks at start (RFC 0168 §D.2).",
5
5
  "license": "Apache-2.0",
6
6
  "repository": {
@@ -4,7 +4,7 @@
4
4
  "provenance": {
5
5
  "suite": {
6
6
  "package": "@openwop/openwop-conformance",
7
- "version": "2.21.0"
7
+ "version": "2.23.0"
8
8
  },
9
9
  "note": "Derived from the corpus at generation time. Regenerate with --write; verify with --check."
10
10
  },
@@ -419,5 +419,5 @@
419
419
  "$id": "https://openwop.dev/spec/v1/workspace-file.schema.json"
420
420
  }
421
421
  ],
422
- "digest": "be88eefc234ed3fbb67e12675f04afd00af841f588efe4745bf3f4863eb050bd"
422
+ "digest": "bffe6b840b0bcaabf41fd1d546bd2a32e7b9e6ff9740aafdd8d6dba8d336b094"
423
423
  }
package/spec/v1/gaps.json CHANGED
@@ -10518,6 +10518,57 @@
10518
10518
  }
10519
10519
  ]
10520
10520
  },
10521
+ {
10522
+ "id": "openwop.gap.0189.14",
10523
+ "rfc": "0189",
10524
+ "local": "G14",
10525
+ "section": "§B(c)",
10526
+ "surface": "A BULLET LIST is not one paragraph either. G4 split tables so a MUST in row 15 could not satisfy a family named in row 6; it left bullet lists fused, and the same exploit lives one syntax down. `spec/v1/ai-envelope.md`'s `envelopeContracts.advertised` bullet carries NO 2119 keyword and passed §B(c) only because the ADJACENT `envelopeStrictness` bullet says \"MUST cause refusal\". That declaration SHIPPED in 2.21.0 — hand-read, right about the family, wrong about the anchor — and the §D fallback would have asserted it at end-of-support.",
10527
+ "witness": "unclassified",
10528
+ "requirementId": null,
10529
+ "disposition": "closed",
10530
+ "target": null,
10531
+ "sources": [
10532
+ {
10533
+ "file": "RFCS/registers/0189-normative-home.gaps.md",
10534
+ "token": "G14"
10535
+ }
10536
+ ]
10537
+ },
10538
+ {
10539
+ "id": "openwop.gap.0189.15",
10540
+ "rfc": "0189",
10541
+ "local": "G15",
10542
+ "section": "§B(d)",
10543
+ "surface": "PROPOSED AND REJECTED ON MEASUREMENT. The proposal was to strip fenced code blocks from the facet arm as G12 does for the obligation arm, on the claim it costs zero declared families. Measured: it breaks SIXTEEN facets — `credentials.encryptionAtRest`, `oauth.grants`, `kvStorage.maxTtlSeconds` and thirteen more — every one named in a JSON ADVERTISEMENT EXAMPLE, which is precisely how a facet is legitimately named.",
10544
+ "witness": "unclassified",
10545
+ "requirementId": null,
10546
+ "disposition": "closed",
10547
+ "target": null,
10548
+ "sources": [
10549
+ {
10550
+ "file": "RFCS/registers/0189-normative-home.gaps.md",
10551
+ "token": "G15"
10552
+ }
10553
+ ]
10554
+ },
10555
+ {
10556
+ "id": "openwop.gap.0189.16",
10557
+ "rfc": "0189",
10558
+ "local": "G16",
10559
+ "section": "§A",
10560
+ "surface": "A conformance-seam catalog could be a normative home. `spec/v1/host-sample-test-seams.md` banners \"observation seams, not application endpoints\", and its `multiPartyConversation` bullet says in its own matched text that RFC 0101 \"mints no normative client wire-route\" — so the paragraph that would have satisfied §B(c) is the paragraph disclaiming the contract. G13's informative-banner refusal does not catch it, because the document is genuinely `Stable` and genuinely normative ABOUT SEAMS.",
10561
+ "witness": "unclassified",
10562
+ "requirementId": null,
10563
+ "disposition": "closed",
10564
+ "target": null,
10565
+ "sources": [
10566
+ {
10567
+ "file": "RFCS/registers/0189-normative-home.gaps.md",
10568
+ "token": "G16"
10569
+ }
10570
+ ]
10571
+ },
10521
10572
  {
10522
10573
  "id": "openwop.gap.0190.1",
10523
10574
  "rfc": "0190",
@@ -0,0 +1,20 @@
1
+ # Conversation surfaces
2
+
3
+ > **Status: Stable · v2.0 · RFC 0101, 0109, 0110.** Normative contract for the multi-party conversation families.
4
+ > **Normative home:** `multiPartyConversation`, `channelPresence`, `conversationTurnModelProvenance`.
5
+
6
+ ## Why this exists
7
+
8
+ RFC 0101 and RFC 0110 are `Accepted`, their wire shapes are frozen in `schemas/v2/`, and conformance covers them — but each deliberately mints no client route for opening a conversation, and so neither was ever given an operative home. The obligation an advertising host takes on is real regardless of who routes the call; it is stated here.
9
+
10
+ ## `multiPartyConversation`
11
+
12
+ A host advertising `multiPartyConversation` MUST accept an optional `participants` array of agent references on conversation creation, and MUST refuse a turn from a principal absent from that roster rather than silently accepting it. It MUST refuse a roster that exceeds `multiPartyConversation.maxParticipants` at creation rather than truncating it.
13
+
14
+ ## `channelPresence`
15
+
16
+ A host advertising `channelPresence` MUST report present members as a subset of the channel's roster, and MUST NOT include a subject that is not a member. The payload is closed: it carries opaque, non-PII subject references and nothing else.
17
+
18
+ ## `conversationTurnModelProvenance`
19
+
20
+ A host that stamps model provenance on an agent turn MUST advertise `conversationTurnModelProvenance`. The stamp is non-secret and non-PII — provider and model identifiers only — and a host MUST NOT place prompt or completion content in it.
@@ -1,7 +1,7 @@
1
1
  # Events
2
2
 
3
3
  > **Status: Stable · RFC 0171 §A, §E; RFC 0176 §A.**
4
- > **Normative home:** `heartbeat`.
4
+ > **Normative home:** `heartbeat`, `envelopeContracts`, `envelopes`, `feedback`, `providerUsage`.
5
5
 
6
6
  ## Why this exists
7
7
 
@@ -113,3 +113,27 @@ The response is `{ runId, events, lastSequence, status, isTerminal }` (closed):
113
113
  ## Era-2 logs
114
114
 
115
115
  An `eventLogSchemaVersion` of `2` means v1-written. Every reader (poll, stream, fork, diff, debug bundle) MUST translate each event through `spec/v2/event-codemap.json` at storage — `type` is mapped, the payload projected; `sequence` (including `0`), `eventId`, `timestamp`, `causationId` pass through. A type the codemap does not name, carrying no vendor org, MUST fail the read `500 event_type_unmapped`. A host MUST NOT carry a private mapping, nor rewrite era-2 rows in place. **A projection MUST NOT silently drop a property**: carry or fail `500 payload_unprojectable` (hatch `^(openwop-|x-|vendor\.)`; RFC 0185). Fork and replay over an era-2 parent: replay.md.
116
+
117
+ ## Envelope contracts
118
+
119
+ `envelopeContracts` advertises that a host enforces per-node envelope permission
120
+ sets. A host advertising `envelopeContracts.advertised` MUST refuse a node whose
121
+ emitted envelope `type` is neither universal nor listed in that node's accepted
122
+ set, and MUST refuse it distinctly from the capability-gated `typeId` refusal —
123
+ the two stack rather than substitute.
124
+
125
+ ## Envelope, feedback and usage facets
126
+
127
+ `envelopes.tierOneSubsetCompliance` advertises that the host accepts the Tier 1
128
+ structured-output subset shared across major providers; a host advertising it MUST
129
+ accept an envelope restricted to that subset from any provider it advertises, rather
130
+ than refusing on provider-specific grounds.
131
+
132
+ `feedback.targets` names the resources an annotation may be attached to. A host MUST
133
+ refuse an annotation whose target is outside the advertised set, and MUST NOT write it
134
+ to the replayable run event log.
135
+
136
+ `providerUsage.costEstimates` advertises that the host stamps a derived cost on the
137
+ `provider.usage` event. That figure is an estimate from the host's own rate table, and
138
+ a consumer MUST NOT treat it as a billed amount.
139
+
@@ -0,0 +1,20 @@
1
+ # Host services
2
+
3
+ > **Status: Stable · v2.0 · RFC 0144.** Normative contract for the advertised `host.*` service surfaces a node pack invokes through `ctx`.
4
+ > **Normative home:** `aiEnvelope`, `promptLibrary`, `agentRuntime`.
5
+
6
+ ## Why this exists
7
+
8
+ `spec/v1/host-capabilities.md` describes these three surfaces with a TypeScript sketch, a `**Required methods:**` label and a failure-mode list, and — unlike its sibling sections, which reach for `MUST` constantly — states no obligation. A lowercase section label is not an RFC 2119 keyword, so the contract a host takes on by advertising these families was never written down. v1 is frozen, so it is written here.
9
+
10
+ ## `aiEnvelope`
11
+
12
+ A host advertising `aiEnvelope` MUST expose `ctx.aiEnvelope.generate` to pack code, and MUST refuse a node whose `typeId` requires the family when it does not advertise it. It MUST expose `ctx.aiEnvelope.await` when, and only when, it advertises `aiEnvelope.await`.
13
+
14
+ ## `promptLibrary`
15
+
16
+ A host advertising `promptLibrary` MUST expose `ctx.promptLibrary.get`, MUST return a pinned version verbatim so that a replayed run resolves the same template, and MUST fail the calling node rather than substitute an unpinned one.
17
+
18
+ ## `agentRuntime`
19
+
20
+ A host advertising `agentRuntime` MUST expose `spawn`, `delegate`, `consensus` and `messageSend`, and MUST satisfy `agents.manifestRuntime`, which advertising it implies.
@@ -1,7 +1,7 @@
1
1
  # Replay and Fork
2
2
 
3
3
  > **Status: Stable · RFC 0140, 0041, 0173 §C, 0176 §A.5.**
4
- > **Normative home:** `eventLog`, `replay`.
4
+ > **Normative home:** `eventLog`, `replay`, `nondeterminismPolicy`.
5
5
 
6
6
  ## Why this exists
7
7
 
@@ -115,3 +115,12 @@ and the cross-region claim does not apply.
115
115
  A host advertising `replay` MUST document retention for source snapshots, source logs, the invocation records replay depends on, and forked runs; `retention.days` MAY advertise the window. When the range `fromSeq` needs has expired, the host MUST reject the fork with `410` or `422`; `details` SHOULD carry `sourceRunId`, `fromSeq`, and the boundary.
116
116
 
117
117
  See also: events.md, runs.md, persistence.md, security-defaults.md.
118
+
119
+ ## Declared nondeterminism
120
+
121
+ `nondeterminismPolicy` is the host's statement of which nondeterministic sources it
122
+ declares rather than suppresses. A host advertising `nondeterminismPolicy.declared`
123
+ MUST record every declared source in the run's event log at the point it is read, so
124
+ a fork replays the recorded value rather than re-drawing it; a source the host neither
125
+ declares nor suppresses is a replay defect, not a policy choice.
126
+
@@ -250,7 +250,7 @@
250
250
  {
251
251
  "key": "envelopeContracts",
252
252
  "kind": "family",
253
- "normativeText": ["spec/v1/ai-envelope.md"],
253
+ "normativeText": ["spec/v2/core/events.md"],
254
254
  "anchor": "core",
255
255
  "section": "core/capabilities.md#envelopeContracts",
256
256
  "peerDependencyId": "envelopeContracts",
@@ -269,6 +269,7 @@
269
269
  {
270
270
  "key": "envelopes",
271
271
  "kind": "family",
272
+ "normativeText": ["spec/v1/ai-envelope.md", "spec/v2/core/events.md"],
272
273
  "anchor": "core",
273
274
  "section": "core/capabilities.md#envelopes",
274
275
  "peerDependencyId": "envelopes",
@@ -289,6 +290,7 @@
289
290
  {
290
291
  "key": "prompts",
291
292
  "kind": "family",
293
+ "normativeText": ["spec/v1/prompts.md", "spec/v1/capabilities.md"],
292
294
  "anchor": "core",
293
295
  "section": "core/capabilities.md#prompts",
294
296
  "peerDependencyId": "prompts",
@@ -321,6 +323,7 @@
321
323
  {
322
324
  "key": "nodePackRuntimes",
323
325
  "kind": "family",
326
+ "normativeText": ["spec/v1/node-packs.md"],
324
327
  "anchor": "core",
325
328
  "section": "core/capabilities.md#nodePackRuntimes",
326
329
  "peerDependencyId": "nodePackRuntimes",
@@ -483,6 +486,7 @@
483
486
  {
484
487
  "key": "feedback",
485
488
  "kind": "family",
489
+ "normativeText": ["spec/v1/observability.md", "spec/v2/core/events.md"],
486
490
  "anchor": "core",
487
491
  "section": "core/capabilities.md#feedback",
488
492
  "peerDependencyId": "feedback",
@@ -566,6 +570,7 @@
566
570
  {
567
571
  "key": "multiPartyConversation",
568
572
  "kind": "family",
573
+ "normativeText": ["spec/v2/core/conversation.md"],
569
574
  "anchor": "core",
570
575
  "section": "core/capabilities.md#multiPartyConversation",
571
576
  "peerDependencyId": "multiPartyConversation",
@@ -584,6 +589,7 @@
584
589
  {
585
590
  "key": "conversationTurnModelProvenance",
586
591
  "kind": "family",
592
+ "normativeText": ["spec/v2/core/conversation.md"],
587
593
  "anchor": "core",
588
594
  "section": "core/capabilities.md#conversationTurnModelProvenance",
589
595
  "peerDependencyId": "conversationTurnModelProvenance",
@@ -600,6 +606,7 @@
600
606
  {
601
607
  "key": "channelPresence",
602
608
  "kind": "family",
609
+ "normativeText": ["spec/v2/core/conversation.md"],
603
610
  "anchor": "core",
604
611
  "section": "core/capabilities.md#channelPresence",
605
612
  "peerDependencyId": "channelPresence",
@@ -656,6 +663,7 @@
656
663
  {
657
664
  "key": "providerUsage",
658
665
  "kind": "family",
666
+ "normativeText": ["spec/v1/observability.md", "spec/v2/core/events.md"],
659
667
  "anchor": "core",
660
668
  "section": "core/capabilities.md#providerUsage",
661
669
  "peerDependencyId": "providerUsage",
@@ -1055,6 +1063,7 @@
1055
1063
  {
1056
1064
  "key": "aiEnvelope",
1057
1065
  "kind": "family",
1066
+ "normativeText": ["spec/v2/core/host-services.md"],
1058
1067
  "anchor": "core",
1059
1068
  "section": "core/capabilities.md#aiEnvelope",
1060
1069
  "peerDependencyId": "aiEnvelope",
@@ -1073,6 +1082,7 @@
1073
1082
  {
1074
1083
  "key": "promptLibrary",
1075
1084
  "kind": "family",
1085
+ "normativeText": ["spec/v2/core/host-services.md"],
1076
1086
  "anchor": "core",
1077
1087
  "section": "core/capabilities.md#promptLibrary",
1078
1088
  "peerDependencyId": "promptLibrary",
@@ -1089,6 +1099,7 @@
1089
1099
  {
1090
1100
  "key": "agentRuntime",
1091
1101
  "kind": "family",
1102
+ "normativeText": ["spec/v2/core/host-services.md"],
1092
1103
  "anchor": "core",
1093
1104
  "section": "core/capabilities.md#agentRuntime",
1094
1105
  "peerDependencyId": "agentRuntime",
@@ -1220,6 +1231,7 @@
1220
1231
  {
1221
1232
  "key": "nondeterminismPolicy",
1222
1233
  "kind": "family",
1234
+ "normativeText": ["spec/v2/core/replay.md"],
1223
1235
  "anchor": "core",
1224
1236
  "section": "core/capabilities.md#nondeterminismPolicy",
1225
1237
  "peerDependencyId": "nondeterminismPolicy",
@@ -1,6 +1,6 @@
1
1
  {
2
2
  "$comment": "RFC 0172 §D.1 — the one release identity the v2 artifacts derive from. `version` is the next corpus tag `v<version>` (the publish workflow's coordinated-release tag pattern `v*`; RFC 0172's `openwop/v2.<minor>.<patch>` spelling is amended to this at its flip). api/v2/*.yaml info.version, the suite's 2.x version and @openwop/spec-artifacts read it. Bumped by the release PR that cuts the tag, never by hand elsewhere.",
3
- "version": "2.21.0",
4
- "corpusTag": "v2.21.0",
3
+ "version": "2.23.0",
4
+ "corpusTag": "v2.23.0",
5
5
  "updated": "2026-09-18"
6
6
  }